Your submission was sent successfully! Close

USN-4611-1: Samba vulnerabilities

02 November 2020

Several security issues were fixed in Samba.

Releases

Packages

  • samba - SMB/CIFS file, print, and login server for Unix

Details

Steven French discovered that Samba incorrectly handled ChangeNotify
permissions. A remote attacker could possibly use this issue to obtain file
name information. (CVE-2020-14318)

Bas Alberts discovered that Samba incorrectly handled certain winbind
requests. A remote attacker could possibly use this issue to cause winbind
to crash, resulting in a denial of service. (CVE-2020-14323)

Francis Brosnan Blázquez discovered that Samba incorrectly handled certain
invalid DNS records. A remote attacker could possibly use this issue to
cause the DNS server to crash, resulting in a denial of service.
(CVE-2020-14383)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.10
Ubuntu 20.04
Ubuntu 18.04
Ubuntu 16.04

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-4931-1: samba-common, libwbclient-dev, samba-libs, samba-testsuite, samba-vfs-modules, libpam-smbpass, libpam-winbind, libsmbclient-dev, samba-common-bin, libsmbsharemodes0, samba-doc, registry-tools, libwbclient0, samba-dev, samba-dsdb-modules, smbclient, libnss-winbind, winbind, samba, libparse-pidl-perl, libsmbsharemodes-dev, libsmbclient, python-samba